using UnityEngine;

public class SettingsReader : MonoBehaviour
{
    private static SettingsReader instance;
    public static SettingsReader Instance => instance;

    private void Awake()
    {
        if (instance is null)
            instance = this;
        else
        {
            Destroy(gameObject);
            Debug.LogError("Only 1 Instance");
        }
    }

    [SerializeField] private Settings gameSettings;
    public Settings GetSettings => gameSettings;
}
